Retrieve contact
curl --request GET \
--url https://api.chatling.ai/v2/chatbots/{chatbotId}/contacts/{contactId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chatling.ai/v2/chatbots/{chatbotId}/contacts/{contactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chatling.ai/v2/chatbots/{chatbotId}/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "qtr89df0-112d-d197-b541-3f8674663246",
"name": "Mark Zuckerberg",
"email": "[email protected]",
"job_title": "CEO",
"phone": "555-555-5555",
"website": "https://meta.com",
"company": "Meta Inc.",
"created_at": "2024-06-08T13:38:33+00:00"
}
}
Contacts
Retrieve contact
Retrieve a contact by its ID.
GET
/
chatbots
/
{chatbotId}
/
contacts
/
{contactId}
Retrieve contact
Request parameters
Path
string
required
The contact ID.
string
required
The chatbot ID.
Response
string
The status of the request. Will be
success if the request was successful, otherwise error.object
Show properties
Show properties
integer
The unique identifier of the contact.
string
The name of the contact.
string
The email address of the contact.
string
The job title of the contact.
string
The phone number of the contact.
string
The website URL of the contact.
string
The company name of the contact.
string
The date and time when the contact was created.
{
"status": "success",
"data": {
"id": "qtr89df0-112d-d197-b541-3f8674663246",
"name": "Mark Zuckerberg",
"email": "[email protected]",
"job_title": "CEO",
"phone": "555-555-5555",
"website": "https://meta.com",
"company": "Meta Inc.",
"created_at": "2024-06-08T13:38:33+00:00"
}
}
⌘I

